org.apache.http.nio.pool

## Interface SocketAddressResolver<T>

    public interface SocketAddressResolver<T>

Strategy that resolves an abstract connection route to a local or a remote `SocketAddress`. .

Since:
  4.3

### Method Summary

Methods
`SocketAddress` `resolveLocalAddress(T route)`
`SocketAddress` `resolveRemoteAddress(T route)`

### Method Detail

#### resolveLocalAddress

    SocketAddress resolveLocalAddress(T route)
                                      throws IOException

Throws:
  `IOException`

#### resolveRemoteAddress

    SocketAddress resolveRemoteAddress(T route)
                                       throws IOException

Throws:
  `IOException`